dnl AC_WIZHU_CONFIG -- process WIZHCTL-UTILS configuration options


AC_DEFUN(AC_WIZBUILD_CROSS_CC,
[

dnl --with-CC=... 
AC_ARG_WITH(CC,
    [  --with-CC=compiler      use specific C compiler (default is 'TARGET-gcc' if --target is used, '\$CC' otherwhise)],
    [
	case "$withval" in
	"" | y | ye | yes | n | no)
	    AC_MSG_ERROR([*** You must supply an argument to the --with-CC option.])
	  ;;
	esac
	CC="$withval"
    ],
    [
	dnl use --target result 
	AC_CHECK_PROGS(CC, ${target_alias}-gcc)
    ])
dnl Find/check a compiler if CC is not already set.
AC_PROG_CC

])

AC_DEFUN(AC_WIZHU_CONFIG,
[

dnl KERNEL HEADERS (hctl1100.h) !! FIXME !!!
AC_MSG_CHECKING("for wizhctl.h  !!! PLEASE FIXME !!!")

AC_ARG_WITH(wizhctl-kernel-headers,
  [  --with-wizhctl-kernel-headers=<...>	Location of wizhctl-kernel headers (default=PLEASE_FIXME)], 
  [
	case "$withval" in
	"" | y | ye | yes | n | no)
	    AC_MSG_ERROR([*** You must supply an argument to the --with-CC option.])
	  ;;
	esac
	WIZHCTL_KERNEL_INCLUDE=$withval
  ],
  [
	dnl FIXME
	WIZHCTL_KERNEL_INCLUDE=""
  ])
if test -f $WIZHCTL_KERNEL_INCLUDE/wizhctl.h;
then
   WIZHCTL_KERNEL_INCLUDE=`cd $WIZHCTL_KERNEL_INCLUDE && pwd`
   AC_DEFINE_UNQUOTED(WIZHCTL_KERNEL_INCLUDE,"${WIZHCTL_KERNEL_INCLUDE}")
   AM_CONDITIONAL(HAVE_WIZHCTL_KERNEL_INCLUDE, test 1)
   AC_SUBST(WIZHCTL_KERNEL_INCLUDE)
   AC_MSG_RESULT($WIZHCTL_KERNEL_INCLUDE/wizhctl.h)
else
   dnl AC_MSG_RESULT("THIS IS AN ERROR!!! PLEASE FIXME !!!")
   AC_MSG_ERROR("wizhctl.h not found in $WIZHCTL_KERNEL_INCLUDE")
fi


dnl DEBUG MODE
AC_MSG_CHECKING(if debug mode is enabled)

AC_ARG_ENABLE(debug,
	[  --enable-debug          Enable debug support],
	[CFLAGS="$CFLAGS -g -O2"; with_debug=yes],
	[CFLAGS="$CFLAGS -O2"; with_debug=no])
test x$with_debug = xyes && WIZHU_DEBUG=1 || WIZHU_DEBUG=0
AC_DEFINE(WIZHU_DEBUG)
AM_CONDITIONAL(ENABLE_WIZHU_DEBUG,test ${WIZHU_DEBUG} = 1)

AC_MSG_RESULT($with_debug)

dnl HOST INFO
CC_VERSION=`${CC} --version 2>/dev/null | head -1 || true`
AC_DEFINE_UNQUOTED(CC_VERSION,"${CC_VERSION}",[GNU/C compiler version])
AC_DEFINE_UNQUOTED(CONFIG_STRING,"${host_alias}")

dnl avoid program_tranform_name from AC_CANONICAL_SYSTEM
AC_ARG_PROGRAM
])


